%define libowncloudsync_major 1
%define libowncloudsync %mklibname owncloudsync %{libowncloudsync_major}

%define major 1
%define libname %mklibname ocsync %{major}

Name:       owncloud-client
Summary:    The ownCloud Client
Version:    1.8.3
Release:    %mkrel 1
Group:      Archiving/Backup
License:    GPLv2+
URL:        http://owncloud.org/sync-clients/
# tarballs can also be obtained from github or OBS:
# https://github.com/owncloud/client/releases
# http://download.opensuse.org/repositories/isv:/ownCloud:/desktop/Debian_8.0/
Source0:    https://download.owncloud.com/desktop/stable/owncloudclient-%{version}.tar.xz
#To Rediff 
#Patch0:     mirall-1.2.5-do-not-check-updates.patch
BuildRequires: qt4-devel
BuildRequires: qtwebkit-devel
BuildRequires: cmake
BuildRequires: qtkeychain-devel
BuildRequires: iniparser-devel >= 3.1 
BuildRequires: sqlite3-devel
BuildRequires: doxygen
BuildRequires: check-devel
BuildRequires: neon-devel
BuildRequires: libsmbclient-devel
Obsoletes:     ocsync < 1.5.1
Provides:      ocsync = %{version}-%{release}

Requires:      qt4-database-plugin-sqlite

Requires:      %libowncloudsync = %version-%release
Requires:      %libname = %version-%release

%description
This is the client for ownCloud
ownCloud - Your Cloud, Your Data, Your Way!
The ownCloud client is based on Mirall.

%files 
%{_bindir}/owncloud
%{_bindir}/owncloudcmd
%{_sysconfdir}/ownCloud/sync-exclude.lst
%{_iconsdir}/hicolor/*/*/*.png
%{_datadir}/applications/owncloud.desktop
%dir %{_datadir}/owncloud
%dir %{_datadir}/owncloud/i18n
%{_datadir}/owncloud/i18n/*.qm
%{_datadir}/nautilus-python/extensions/syncstate.py*

#-----------------------------------------------------------------------------

%package -n %{libowncloudsync}
Summary:    %{name} library
Group:      System/Libraries
Obsoletes:  %mklibname owncloudsync 0

%description -n %{libowncloudsync}
%{name} library.

%files -n %{libowncloudsync}
%{_libdir}/libowncloudsync.so.%{libowncloudsync_major}.*
# (cg) Why a 0 here if the major is 1?
%{_libdir}/libowncloudsync.so.0

#------------------------------------------------------------------------------

%package -n %{libname}
Summary:    The ownCloud Client
Group:      System/Libraries
Obsoletes:  %mklibname ocsync 0

%description -n %{libname}
csync is an implementation of a file synchronizer which provides the 
feature of roaming home directories for Linux clients. csync makes use 
of libsmbclient in Samba/Windows environments.

%files -n %{libname}
%{_libdir}/libocsync.so.%{major}*
# (cg) Why a 0 here if the major is 1?
%{_libdir}/libocsync.so.0

#------------------------------------------------------------------------------

%define libdev %mklibname %{name} -d
%define oldlibdev %mklibname ocsync -d

%package -n %{libdev}
Summary:    Header files, libraries and development documentation for %{name}
Group:      Development/C
Requires:   %{libname} = %{version}
Provides:   %{name}-devel = %{version}-%{release}
Obsoletes:  %oldlibdev < 1.5.1
Provides:   %oldlibdev = %{version}-%{release}

%description -n %{libdev}
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%files -n %{libdev}
%{_libdir}/libocsync.so
%{_libdir}/libowncloudsync.so
%{_includedir}/owncloudsync
%{_includedir}/httpbf.h

#------------------------------------------------------------------------------
%prep
%setup -qn owncloudclient-%{version}
%apply_patches

%build
%cmake_qt4 -DCSYNC_INCLUDE_PATH=%{_includedir}/ocsync
%make owncloud
%make doc

%install
%makeinstall_std -C build
find %{buildroot}%{_libdir} -name "*.a" -delete

# (cg) If we leave the lib in the owncloud subfolder, it cannot be found.
# I'm not sure what the rationale is behind keeping it in a subfolder, but I
# guess it's to discourage people linking to it directly.
# I'm sure I could leave it here and somehow fix some rpath things, but I don't
# really have the motivation. If someone wants to fix this, be my guest!
mv %{buildroot}%{_libdir}/owncloud/* %{buildroot}%{_libdir}
rmdir %{buildroot}%{_libdir}/owncloud


%changelog
* Tue Jun 30 2015 luigiwalser <luigiwalser> 1.8.3-1.mga4
+ Revision: 848251
- 1.8.3 (fixes CVE-2015-4456)

* Mon Nov 04 2013 zezinho <zezinho> 1.4.2-2.mga4
+ Revision: 549427
- fix files conflict against owncloud package

* Sun Oct 27 2013 neoclust <neoclust> 1.4.2-1.mga4
+ Revision: 547453
- New version

* Tue Oct 22 2013 umeabot <umeabot> 1.4.1-2.mga4
+ Revision: 544819
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 luigiwalser <luigiwalser> 1.4.1-1.mga4
+ Revision: 500304
- 1.4.1
- remove upstreamed mirall desktop file patch

* Sat Oct 12 2013 neoclust <neoclust> 1.4.0-1.mga4
+ Revision: 496029
- New upstream version 1.4.0

* Sun Aug 25 2013 neoclust <neoclust> 1.3.0-2.mga4
+ Revision: 471710
- New version

* Tue May 07 2013 neoclust <neoclust> 1.2.5-2.mga3
+ Revision: 412597
- Do not check for updates

  + zezinho <zezinho>
    - new bugfix version

* Tue Apr 23 2013 neoclust <neoclust> 1.2.4-1.mga3
+ Revision: 411013
- New version
- New version

* Sun Jan 13 2013 umeabot <umeabot> 1.1.1-3.mga3
+ Revision: 362281
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 neoclust <neoclust> 1.1.1-2.mga3
+ Revision: 323532
- Add ocsync as requires ( mga #7904)

* Mon Oct 29 2012 dams <dams> 1.1.1-1.mga3
+ Revision: 311518
- add a patch to fix 'find csync'
- new version 1.1.1
- fix %%group
- update buildrequires

* Sun Aug 12 2012 neoclust <neoclust> 1.0.4-1.mga3
+ Revision: 280808
- New version 1.0.4

* Wed Jul 25 2012 neoclust <neoclust> 1.0.3-1.mga3
+ Revision: 274349
- imported package owncloud-client

